GridFire v0.7.1_rc2 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Private Member Functions | List of all members
gridfire::exceptions::UtilityError Class Reference

Base class for utility-related errors in GridFire. More...

`#include <error_utils.h>`

Inheritance diagram for gridfire::exceptions::UtilityError:
[legend]
Collaboration diagram for gridfire::exceptions::UtilityError:
[legend]

## Private Member Functions
| GridFireError (std::string msg)

## Additional Inherited Members
Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Detailed Description

Base class for utility-related errors in GridFire.

This class serves as a base for all exceptions related to utility functions

## Member Function Documentation

## ◆ GridFireError()

gridfire::exceptions::GridFireError::GridFireError | ( | std::string | msg | ) |
| inline explicit private

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_utils.h